Package com.xebialabs.xlrelease.domain.events

# Class TaskMovedEvent$

java.lang.Object
scala.runtime.AbstractFunction6<Task,Object,Object,String,String,String,TaskMovedEvent>
com.xebialabs.xlrelease.domain.events.TaskMovedEvent$

All Implemented Interfaces:
  `Serializable`, `scala.Function6<Task,Object,Object,String,String,String,TaskMovedEvent>`

public class TaskMovedEvent$ extends scala.runtime.AbstractFunction6<Task,Object,Object,String,String,String,TaskMovedEvent> implements Serializable

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final TaskMovedEvent$`
  `MODULE$`
  Static reference to the singleton instance of this Scala object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TaskMovedEvent$()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TaskMovedEvent`
  `apply(Task movedTask, int originIndex, int targetIndex, String originalTaskId, String originContainerId, String targetContainerId)`
  `final String`
  `toString()`
  `scala.Option<scala.Tuple6<Task,Object,Object,String,String,String>>`
  `unapply(TaskMovedEvent x$0)`

  ### Methods inherited from class scala.runtime.AbstractFunction6

  `curried, tupled`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Function6

  `apply`

- ## Field Details

  - ### MODULE$

    public static final TaskMovedEvent$ MODULE$
    Static reference to the singleton instance of this Scala object.

- ## Constructor Details

  - ### TaskMovedEvent$

    public TaskMovedEvent$()

- ## Method Details

  - ### toString

    public final String toString()
    Specified by:
      `toString` in interface `scala.Function6<Task,Object,Object,String,String,String,TaskMovedEvent>`
    Overrides:
      `toString` in class `scala.runtime.AbstractFunction6<Task,Object,Object,String,String,String,TaskMovedEvent>`

  - ### apply

    public TaskMovedEvent apply(Task movedTask, int originIndex, int targetIndex, String originalTaskId, String originContainerId, String targetContainerId)

  - ### unapply

    public scala.Option<scala.Tuple6<Task,Object,Object,String,String,String>> unapply(TaskMovedEvent x$0)